# Uses of Interface
org.eclipse.ecf.remoteservice.IRemoteServiceID

Packages that use IRemoteServiceID
Package
Description
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.remoteservice
org.eclipse.ecf.remoteservice.client
org.eclipse.ecf.remoteservice.servlet

## Uses of IRemoteServiceID in org.eclipse.ecf.provider.remoteservice.generic

Fields in org.eclipse.ecf.provider.remoteservice.generic declared as IRemoteServiceID
Modifier and Type
Field
Description
`protected IRemoteServiceID`
RemoteServiceRegistrationImpl.`remoteServiceID`
Methods in org.eclipse.ecf.provider.remoteservice.generic that return IRemoteServiceID
Modifier and Type
Method
Description
`IRemoteServiceID`
RemoteServiceRegistryImpl.`createRemoteServiceID(long serviceid)`
`IRemoteServiceID`
RemoteServiceReferenceImpl.`getID()`
`IRemoteServiceID`
RemoteServiceRegistrationImpl.`getID()`
`IRemoteServiceID`
RegistrySharedObject.`getRemoteServiceID(ID containerId, long containerRelativeId)`
`IRemoteServiceID`
RemoteServiceContainer.`getRemoteServiceID(ID containerID, long containerRelativeID)`
`protected IRemoteServiceID`
RemoteServiceImpl.`getRemoteServiceID()`
Methods in org.eclipse.ecf.provider.remoteservice.generic with parameters of type IRemoteServiceID
Modifier and Type
Method
Description
`protected RemoteServiceRegistrationImpl`
RemoteServiceRegistryImpl.`findRegistrationForRemoteServiceId(IRemoteServiceID remoteServiceID)`
`IRemoteServiceReference`
RegistrySharedObject.`getRemoteServiceReference(IRemoteServiceID serviceId)`
`IRemoteServiceReference`
RemoteServiceContainer.`getRemoteServiceReference(IRemoteServiceID serviceID)`

## Uses of IRemoteServiceID in org.eclipse.ecf.remoteservice

Classes in org.eclipse.ecf.remoteservice that implement IRemoteServiceID
Modifier and Type
Class
Description
`class`
`RemoteServiceID`
Fields in org.eclipse.ecf.remoteservice declared as IRemoteServiceID
Modifier and Type
Field
Description
`protected IRemoteServiceID`
RemoteServiceRegistrationImpl.`remoteServiceID`
Methods in org.eclipse.ecf.remoteservice that return IRemoteServiceID
Modifier and Type
Method
Description
`IRemoteServiceID`
RemoteServiceRegistryImpl.`createRemoteServiceID(long serviceid)`
`IRemoteServiceID`
IRemoteServiceReference.`getID()`
Get the remote service ID for this reference.
`IRemoteServiceID`
IRemoteServiceRegistration.`getID()`
Get the remote service ID for this registration.
`IRemoteServiceID`
RemoteServiceReferenceImpl.`getID()`
`IRemoteServiceID`
RemoteServiceRegistrationImpl.`getID()`
`protected abstract IRemoteServiceID`
AbstractRemoteService.`getRemoteServiceID()`
`IRemoteServiceID`
IRemoteServiceConsumer.`getRemoteServiceID(ID containerID, long containerRelativeID)`
Get a remote service ID from a containerID and a containerRelative long value.
`IRemoteServiceID`
IRemoteServiceContainerAdapter.`getRemoteServiceID(ID containerID, long containerRelativeID)`
Get a remote service ID from a containerID and a containerRelative long value.
`IRemoteServiceID`
IRemoteServiceHost.`getRemoteServiceID(ID containerID, long containerRelativeID)`
Get a remote service ID from a containerID and a containerRelative long value.
`IRemoteServiceID`
RemoteServiceContainerAdapterImpl.`getRemoteServiceID(ID containerID, long containerRelativeID)`
Methods in org.eclipse.ecf.remoteservice with parameters of type IRemoteServiceID
Modifier and Type
Method
Description
`protected RemoteServiceRegistrationImpl`
RemoteServiceRegistryImpl.`findRegistrationForRemoteServiceId(IRemoteServiceID remoteServiceID)`
`IRemoteServiceReference`
IRemoteServiceConsumer.`getRemoteServiceReference(IRemoteServiceID serviceID)`
Get the remote service reference known to this container for the given IRemoteServiceID.
`IRemoteServiceReference`
IRemoteServiceContainerAdapter.`getRemoteServiceReference(IRemoteServiceID serviceID)`
Get the remote service reference known to this container for the given IRemoteServiceID.
`IRemoteServiceReference`
RemoteServiceContainerAdapterImpl.`getRemoteServiceReference(IRemoteServiceID serviceID)`

## Uses of IRemoteServiceID in org.eclipse.ecf.remoteservice.client

Fields in org.eclipse.ecf.remoteservice.client declared as IRemoteServiceID
Modifier and Type
Field
Description
`protected IRemoteServiceID`
RemoteServiceClientRegistration.`serviceID`
Methods in org.eclipse.ecf.remoteservice.client that return IRemoteServiceID
Modifier and Type
Method
Description
`IRemoteServiceID`
RemoteServiceClientReference.`getID()`
`IRemoteServiceID`
RemoteServiceClientRegistration.`getID()`
`IRemoteServiceID`
AbstractClientContainer.`getRemoteServiceID(ID containerID1, long containerRelativeID)`
`protected IRemoteServiceID`
AbstractClientService.`getRemoteServiceID()`
`IRemoteServiceID`
RemoteServiceClientRegistry.`getRemoteServiceID(ID containerID, long containerRelativeID)`
Methods in org.eclipse.ecf.remoteservice.client with parameters of type IRemoteServiceID
Modifier and Type
Method
Description
`IRemoteServiceReference`
RemoteServiceClientRegistry.`findServiceReference(IRemoteServiceID serviceID)`
`IRemoteServiceReference`
AbstractClientContainer.`getRemoteServiceReference(IRemoteServiceID serviceID)`

## Uses of IRemoteServiceID in org.eclipse.ecf.remoteservice.servlet

Methods in org.eclipse.ecf.remoteservice.servlet that return IRemoteServiceID
Modifier and Type
Method
Description
`IRemoteServiceID`
ServletServerContainer.`getRemoteServiceID(ID containerID, long containerRelativeID)`
Methods in org.eclipse.ecf.remoteservice.servlet with parameters of type IRemoteServiceID
Modifier and Type
Method
Description
`IRemoteServiceReference`
ServletServerContainer.`getRemoteServiceReference(IRemoteServiceID serviceID)`